.counters {
	& .sidebar-section__block--sidebar {
		@media (--m) {
			width: 25%;
		}
	}

	& .is-content-alignment-left {
		& .counters__inner {
			justify-content: flex-start;
			text-align: left;
		}
	}

	& .is-content-alignment-center {
		& .counters__inner {
			justify-content: center;
			text-align: center;
		}
	}

	& .is-content-alignment-right {
		& .counters__inner {
			justify-content: flex-end;
			text-align: right;
		}
	}
}

.counters__title {
	line-height: 1.25;
}

.counters__col {
	width: 100%;
	margin-top: 1em;

	&:first-child {
		margin-top: 0;
	}
}

.counters__card-inner {
	padding: 1em;
	flex: 1 1 auto;
}

.counters__col--boxed .counters__inner {
	border: 1px solid var(--border);
	box-shadow: 0 12px 40px 0 rgba(55, 126, 249, 0.18);
	border-radius: 4px;
	padding: 1em;
}

.counters__col--layout-row {
	& .counters__inner {
		flex-direction: row;
		align-items: flex-start;
	}

	& .counters__content {
		padding-left: 1em;
	}
}

.counters__col--layout-column {
	& .counters__count {
		justify-content: center;
	}
}

.counters.is-dark-contract {
	& .counters__count-number,
	& .counters__unit,
	& .counters__title,
	& .counters__description,
	& .counters__item-title,
	& .counters__item-description {
		color: var(--white);
	}
}

.counters.is-light-contract {
	& .counters__count {
		color: var(--primary);
	}
}

.counters.has-2-columns,
.counters.has-4-columns {
	& .counters_col {
		@media (--s) {
			@mixin column-item 2, 1em;
		}
	}
}

.counters.has-3-columns {
	& .counters_col {
		@media (--sm) {
			@mixin column-item 3, 1em;
		}
	}
}

.counters.has-4-columns {
	& .counters_col {
		@media (--m) {
			@mixin column-item 4, 1em;
		}
	}
}
